This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 75760 - eog fails to display non-UTF8 path names
eog fails to display non-UTF8 path names
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: eog (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 17:48 EDT by Göran Uddeborg
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 18:32:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2002-10-11 17:48:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
If an error occurs for a file where the path contains non-UTF8 characters, the
error message doesn't correctly show the path.

Version-Release number of selected component (if applicable):
eog-1.0.2-3
pango-1.1.1-1

How reproducible:
Always

Steps to Reproduce:
1.Use a Latin 1 locale:
  23:43 uebn> printenv LANG
  sv_SE
  23:43 uebn> printenv G_BROKEN_FILENAMES 
  1
2.Create a file which contains a non-UTF non-ASCII character, which is  not a
correct picture.  The character between "g" and "r" below is o-diaeresis, though
I think bugzilla destroys that sometimes:
  touch gvran.png
3.eog gvran.png

Actual Results:  The error message just names the part "file:///tmp/g", the
remainder is truncated.
Comment 1 Göran Uddeborg 2002-10-11 17:52:43 EDT
I forgot to say: there could be some connection to bug 75759.  They look
different to me, so I reported them separately.  But I don't know the internals.
Comment 2 Havoc Pennington 2002-10-11 18:27:13 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=95561
Comment 3 Havoc Pennington 2002-12-19 18:32:00 EST
Will get a fix from upstream, closing on Red Hat level.

Note You need to log in before you can comment on or make changes to this bug.